import { NextFunction, Request } from 'express';
import { AbilityManager, PermissionItem, Realm, Robot, User } from '@typescript-auth/domains';
export interface ExpressRequest extends Request {
    user?: User;
    userId?: User['id'];
    robot?: Robot;
    robotId?: Robot['id'];
    realmId?: Realm['id'];
    token?: string;
    ability: AbilityManager;
    permissions: PermissionItem<any>[];
}
export interface ExpressResponse extends Response {
}
export interface ExpressNextFunction extends NextFunction {
}
//# sourceMappingURL=type.d.ts.map